maxFitness.Galgo {galgo} | R Documentation

## Returns the fitness of the maximum chromosome

### Description

Returns the fitness of the maximum chromosome.

### Usage

    ## S3 method for class 'Galgo'
    maxFitness(.O, ...)

### Value

Returns the fitness of the maximum chromosome from the current population.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Galgo`. `*best()`, `*max()`, `*bestFitness()`.

### Examples

      wo <- World(niches=newRandomCollection(Niche(chromosomes=newRandomCollection(
            Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5)), 10),2),2))
      ga <- Galgo(populations=newRandomCollection(wo,1), goalFitness = 0.75,
                  callBackFunc=plot,
                  fitnessFunc=function(chr, parent) 5/sd(as.numeric(chr)))
      evolve(ga)
      best(ga)
      max(ga)			# the Maximum chromosome may be different to the best
      bestFitness(ga)
      maxFitness(ga)

[Package galgo version 1.4 Index]